### Enumeration

# FwupdPlugin ElfFileHeaderType

#### Declaration

    enum FwupdPlugin.ElfFileHeaderType

#### Description

No description available.

#### Members

`FU_ELF_FILE_HEADER_TYPE_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_REL`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_EXEC`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_DYN`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_CORE`

  No description available.

  - Value: `4`
  - Available since: 1.0